PDA

View Full Version : vmware player 5 kernel module



mauriB
16-Oct-2014, 16:07
Good afternoon,

I have a problem with my SLED11SP3 box and VMware player 5.0.4. The installation procedure ended fine with no errors, but when I start the VMware Player software the "Vmware Kernel Module updater" stop with this error:

"kernel headers for version 3.0.101-0.35-pae was not found"

Is there anybody who knows where can I find and how to install them?

Thanks in advance

mikewillis
16-Oct-2014, 16:21
Good afternoon,

I have a problem with my SLED11SP3 box and VMware player 5.0.4. The installation procedure ended fine with no errors, but when I start the VMware Player software the "Vmware Kernel Module updater" stop with this error:

"kernel headers for version 3.0.101-0.35-pae was not found"

Is there anybody who knows where can I find and how to install them?

Install the packages linux-kernel-headers and kernel-source. (The description for the linux-kernel-headers package says '…compiling external kernel modules requires kernel-source instead.")

mauriB
17-Oct-2014, 08:03
Hi Mikewillis,

in my SLED11SP3 box already there are installed the linux-kernel-headers (version 2.6.32-1.15.1) and the kernel source (version 3.0.101-0.35.1) but my system run with "3.0.101-0.35-pae" kernel release. Most probably VMwarePlayer want the kernel-headers version 3.0.101-0.35-pae and kernel source 3.0.101-0.35-pae but I don't know where download them...

Thanks

mikewillis
17-Oct-2014, 10:31
in my SLED11SP3 box already there are installed the linux-kernel-headers (version 2.6.32-1.15.1) and the kernel source (version 3.0.101-0.35.1) but my system run with "3.0.101-0.35-pae" kernel release. Most probably VMwarePlayer want the kernel-headers version 3.0.101-0.35-pae and kernel source 3.0.101-0.35-pae but I don't know where download them...

I downloaded the free version of VMware Player 5.0.4 from
https://my.vmware.com/web/vmware/free#desktop_end_user_computing/vmware_player/5_0|PLAYER-504|product_downloads
installed it, tried to run it and got the error you cited in your first post. I already had linux-kernel-headers so I installed kernel-source and that resolved the problem.

It's just occurred to me that given your mention of pae suggests you're using 32bit SLED, is that correct? All my SLED 11 SP3 installs are 64bit. There's free and not-free Pro versions of VMware Player and I don't know which you're using. Can you try VMware Player 6?

mauriB
17-Oct-2014, 12:28
Hi mike

You are right, i'm using the 32bit SLDE11SP3,and my VMware Player version is the free version. Is vmware player 6 free too?

mikewillis
17-Oct-2014, 12:55
Hi mike

You are right, i'm using the 32bit SLDE11SP3,and my VMware Player version is the free version. Is vmware player 6 free too?

The free version of VMware Player 6 is free, the Pro version isn't ;) The free version of 6 can be downloaded from the same place as the free version of 5. Just change the 'Major Version' drop down selector.

mauriB
17-Oct-2014, 13:23
I have downloaded and installed it but the modules compilation failed. In the vmware-modconfig-23989.log there are these errors:

2014-10-17T14:07:35.727+01:00| vthread-3| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-ilN85D/vmmon-only auto-build HEADER_DIR=/lib/modules/3.0.101-0.35-pae/build/include CC=/usr/bin/gcc-4.3 IS_GCC_3=no"
2014-10-17T14:07:36.442+01:00| vthread-3| W110: Failed to build vmmon. Failed to execute the build command.
2014-10-17T14:07:36.443+01:00| vthread-3| I120: Setting destination path for vmnet to "/lib/modules/3.0.101-0.35-pae/misc/vmnet.ko".
2014-10-17T14:07:36.443+01:00| vthread-3| I120: Extracting the vmnet source from "/usr/lib/vmware/modules/source/vmnet.tar".
2014-10-17T14:07:36.448+01:00| vthread-3| I120: Successfully extracted the vmnet source.
2014-10-17T14:07:36.448+01:00| vthread-3| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-ilN85D/vmnet-only auto-build HEADER_DIR=/lib/modules/3.0.101-0.35-pae/build/include CC=/usr/bin/gcc-4.3 IS_GCC_3=no"
2014-10-17T14:07:36.730+01:00| vthread-3| W110: Failed to build vmnet. Failed to execute the build command.
2014-10-17T14:07:36.731+01:00| vthread-3| I120: Setting destination path for vmci to "/lib/modules/3.0.101-0.35-pae/misc/vmci.ko".
2014-10-17T14:07:36.731+01:00| vthread-3| I120: Extracting the vmci source from "/usr/lib/vmware/modules/source/vmci.tar".
2014-10-17T14:07:36.738+01:00| vthread-3| I120: Successfully extracted the vmci source.
2014-10-17T14:07:36.738+01:00| vthread-3| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-ilN85D/vmci-only auto-build HEADER_DIR=/lib/modules/3.0.101-0.35-pae/build/include CC=/usr/bin/gcc-4.3 IS_GCC_3=no"
2014-10-17T14:07:37.003+01:00| vthread-3| W110: Failed to build vmci. Failed to execute the build command.
2014-10-17T14:07:37.004+01:00| vthread-3| I120: Setting destination path for vsock to "/lib/modules/3.0.101-0.35-pae/misc/vsock.ko".
2014-10-17T14:07:37.004+01:00| vthread-3| I120: Extracting the vsock source from "/usr/lib/vmware/modules/source/vsock.tar".
2014-10-17T14:07:37.011+01:00| vthread-3| I120: Successfully extracted the vsock source.
2014-10-17T14:07:37.011+01:00| vthread-3| I120: Extracting the vmci source from "/usr/lib/vmware/modules/source/vmci.tar".
2014-10-17T14:07:37.021+01:00| vthread-3| I120: Successfully extracted the vmci source.
2014-10-17T14:07:37.021+01:00| vthread-3| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-ilN85D/vmci-only auto-build HEADER_DIR=/lib/modules/3.0.101-0.35-pae/build/include CC=/usr/bin/gcc-4.3 IS_GCC_3=no"
2014-10-17T14:07:37.297+01:00| vthread-3| W110: Failed to build vmci. Failed to execute the build command.

mikewillis
17-Oct-2014, 16:07
I have downloaded and installed it but the modules compilation failed. In the vmware-modconfig-23989.log there are these errors:

2014-10-17T14:07:35.727+01:00| vthread-3| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-ilN85D/vmmon-only auto-build HEADER_DIR=/lib/modules/3.0.101-0.35-pae/build/include CC=/usr/bin/gcc-4.3 IS_GCC_3=no"
2014-10-17T14:07:36.442+01:00| vthread-3| W110: Failed to build vmmon. Failed to execute the build command.
2014-10-17T14:07:36.443+01:00| vthread-3| I120: Setting destination path for vmnet to "/lib/modules/3.0.101-0.35-pae/misc/vmnet.ko".
[etc]


I just installed the free version of VMware Player 6 (VMware-Player-6.0.3-1895310.x86_64.bundle) and it 'just worked'. I can't locate any vmware-modconfig log files.

Rather unhelpful that the log doesn't contain anything more informative than 'Failed to execute the build command'. Do you have /usr/bin/make ? I'm guessing you do since it's mentioned in the log and similarly I'm guessing you do have gcc since /usr/bin/gcc-4.3 is mentioned. DO the /tmp/modconfig- files mentioned in the log still exist? If so what happens when you run one of the commands in the log that apparently couldn't be executed manually?


For future reference, when pasting output of commands or contents of log files it helps with readability to wrap it in CODE tags. Look for the # button on the toolbar when composing.

mauriB
17-Oct-2014, 18:36
Hi Mike,

thanks for your answers, tomorrow or Monday, I will manually try one of the commands in the log and post the output.

Best Regads

mauriB
20-Oct-2014, 13:01
Hi Mike,

I checked again the "vmware-modconfig-23989.log" and before the errors I posted, there are also these errors... Can them be of some help?



2014-10-17T14:07:35.430+01:00| vthread-3| I120: Invoking modinfo on "vmmon".
2014-10-17T14:07:35.432+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.432+01:00| vthread-3| I120: Invoking modinfo on "vmnet".
2014-10-17T14:07:35.437+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.437+01:00| vthread-3| I120: Invoking modinfo on "vmci".
2014-10-17T14:07:35.439+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.439+01:00| vthread-3| I120: Invoking modinfo on "vsock".
2014-10-17T14:07:35.444+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.



P.S. I can't find the # botton on the toolbar, so i added the code tags manually. I hope i'm not wrong

mikewillis
20-Oct-2014, 21:09
I checked again the "vmware-modconfig-23989.log" and before the errors I posted, there are also these errors... Can them be of some help?



2014-10-17T14:07:35.430+01:00| vthread-3| I120: Invoking modinfo on "vmmon".
2014-10-17T14:07:35.432+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.432+01:00| vthread-3| I120: Invoking modinfo on "vmnet".
2014-10-17T14:07:35.437+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.437+01:00| vthread-3| I120: Invoking modinfo on "vmci".
2014-10-17T14:07:35.439+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.
2014-10-17T14:07:35.439+01:00| vthread-3| I120: Invoking modinfo on "vsock".
2014-10-17T14:07:35.444+01:00| vthread-3| I120: "/sbin/modinfo" exited with status 256.


Doesn't mean anything to me I'm afraid. You're using version 6 yes? Assuming yes then all I can suggest is the rather drastic solution of switching to 64bit SLED, or assuming you're not tied to VMware Player specifically and just want something that lets you play with virtual machines, try VirtualBox. https://www.virtualbox.org/wiki/Linux_Downloads The SLES 11 version works so long as the kernel-source package is installed. Of course, I've only tried on 64bit SLED.



P.S. I can't find the # botton on the toolbar, so i added the code tags manually. I hope i'm not wrong
Come to think of it, it only shows up after you click 'Go Advanced'. Which I always do.

mauriB
21-Oct-2014, 09:18
Hi Mike,

Before delete all the system and switch to 64 version I would like change the kernel release. As you now I have the 3.0.101-0.35-pae and it is an extension for addressing more than 4 Gbyte of RAM. But I have only 4Gbyte so I don't need it, therefore I woul try to downgrade the kernel at the 3.0.101-0.35-default.

Have you any idea how to do this?

Best Regards

mikewillis
21-Oct-2014, 12:46
Hi Mike,

Before delete all the system and switch to 64 version I would like change the kernel release. As you now I have the 3.0.101-0.35-pae and it is an extension for addressing more than 4 Gbyte of RAM. But I have only 4Gbyte so I don't need it, therefore I woul try to downgrade the kernel at the 3.0.101-0.35-default.

Have you any idea how to do this?


As far as I recall you just install the kernel-default package. You'll still get kernel-pae as the default boot option but you can select kernel-default during boot and try it out. If it does what you hope then you can set it as the default boot option (YaST > System > Bootloader). You might not have 4GB of memory available with kernel-default.

mauriB
21-Oct-2014, 15:28
I have installed the kernel-default package and boot with the new kernel but still the error exist; and also the VirtualBox doesn't work (it's unable to compile and load the modules). It very strange that the both packages does't work and have the same errors... I don't understand where I'm wrong

Most probably I will install the 64 bit version, but I don't know if this will change the result...

mikewillis
21-Oct-2014, 15:39
I'll grab the 32bit version of SLED chuck it on a VM and see if VMware Player works on it.

mikewillis
21-Oct-2014, 17:43
Installed 32bit SLED 11 SP3. Installed all updates. Reboot. Install packages kernel-source linux-kernel-headers gcc. Downloaded 'VMware Player for Linux 32-bit' from
https://my.vmware.com/web/vmware/free#desktop_end_user_computing/vmware_player/6_0
Ran the installer, it just works.

What do you get for the output of


$ zypper verify
$ zypper lr -u
$ zypper lu

mauriB
22-Oct-2014, 08:13
Hi Mike,

Thank you again for your effort. Below the output of commands:



A54CC749:~ # zypper verify
Refreshing service 'nu_novell_com'.
Adding repository 'SLE11-SP3-Debuginfo-Pool' [done]
Adding repository 'SLES11-SP3-Extension-Store' [done]
Adding repository 'SLE11-Security-Module' [done]
Adding repository 'SLES11-SP3-Updates' [done]
Adding repository 'SLE11-SP3-Debuginfo-Updates' [done]
Adding repository 'SLES11-SP3-Pool' [done]
Loading repository data...
Reading installed packages...

Dependencies of all installed packages are satisfied.


A54CC749:~ # zypper lr -u
# | Alias | Name | Enabled | Refresh | URI
---+--------------------------------------------------+--------------------------------------------------+---------+---------+---------------------------------------------------------------------------------------------------
1 | ATI-Driver-SLE11-SP3 | ATI-Driver-SLE11-SP3 | Yes | Yes | http://www2.ati.com/suse/sle11sp3
2 | SUSE-Linux-Enterprise-Desktop-11-SP3 11.3.3-1.95 | SUSE-Linux-Enterprise-Desktop-11-SP3 11.3.3-1.95 | Yes | No | cd:///?devices=/dev/sr0
3 | nVidia-Driver-SLE11-SP3 | nVidia-Driver-SLE11-SP3 | Yes | Yes | http://download.nvidia.com/novell/sle11sp3
4 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP1-Debuginfo-Pool/sle-11-i586?credentials=NCCcredentials
5 | nu_novell_com:SLE11-SP1-Debuginfo-Updates | SLE11-SP1-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP1-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
6 | nu_novell_com:SLE11-SP2-Debuginfo-Core | SLE11-SP2-Debuginfo-Core | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Core/sle-11-i586?credentials=NCCcredentials
7 | nu_novell_com:SLE11-SP2-Debuginfo-Updates | SLE11-SP2-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
8 | nu_novell_com:SLE11-SP3-Debuginfo-Pool | SLE11-SP3-Debuginfo-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP3-Debuginfo-Pool/sle-11-i586?credentials=NCCcredentials
9 | nu_novell_com:SLE11-SP3-Debuginfo-Updates | SLE11-SP3-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP3-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
10 | nu_novell_com:SLE11-Security-Module | SLE11-Security-Module | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-Security-Module/sle-11-i586?credentials=NCCcredentials
11 | nu_novell_com:SLE11-WebYaST-SP2-Pool | SLE11-WebYaST-SP2-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-WebYaST-SP2-Pool/sle-11-i586?credentials=NCCcredentials
12 | nu_novell_com:SLE11-WebYaST-SP2-Updates | SLE11-WebYaST-SP2-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-WebYaST-SP2-Updates/sle-11-i586?credentials=NCCcredentials
13 | nu_novell_com:SLES11-Extras | SLES11-Extras | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-Extras/sle-11-i586?credentials=NCCcredentials
14 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP1-Pool/sle-11-i586?credentials=NCCcredentials
15 | nu_novell_com:SLES11-SP1-Updates | SLES11-SP1-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP1-Updates/sle-11-i586?credentials=NCCcredentials
16 | nu_novell_com:SLES11-SP2-Core | SLES11-SP2-Core | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP2-Core/sle-11-i586?credentials=NCCcredentials
17 | nu_novell_com:SLES11-SP2-Extension-Store | SLES11-SP2-Extension-Store | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP2-Extension-Store/sle-11-i586?credentials=NCCcredentials
18 | nu_novell_com:SLES11-SP2-Updates | SLES11-SP2-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP2-Updates/sle-11-i586?credentials=NCCcredentials
19 | nu_novell_com:SLES11-SP3-Extension-Store | SLES11-SP3-Extension-Store | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP3-Extension-Store/sle-11-i586?credentials=NCCcredentials
20 | nu_novell_com:SLES11-SP3-Pool | SLES11-SP3-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP3-Pool/sle-11-i586?credentials=NCCcredentials
21 | nu_novell_com:SLES11-SP3-Updates | SLES11-SP3-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLES11-SP3-Updates/sle-11-i586?credentials=NCCcredentials

A54CC749:~ # zypper lu
Refreshing service 'nu_novell_com'.
Removing repository 'SLE11-WebYaST-SP2-Pool' [done]
Removing repository 'SLE11-WebYaST-SP2-Updates' [done]
Removing repository 'SLES11-Extras' [done]
Removing repository 'SLES11-SP1-Pool' [done]
Removing repository 'SLES11-SP1-Updates' [done]
Removing repository 'SLES11-SP2-Core' [done]
Removing repository 'SLES11-SP2-Extension-Store' [done]
Removing repository 'SLES11-SP2-Updates' [done]
Removing repository 'SLES11-SP3-Extension-Store' [done]
Removing repository 'SLES11-SP3-Pool' [done]
Removing repository 'SLES11-SP3-Updates' [done]
Adding repository 'SLED11-SP2-Core' [done]
Adding repository 'SLED11-SP3-Pool' [done]
Adding repository 'SLED11-SP3-Updates' [done]
Adding repository 'SLED11-Extras' [done]
Adding repository 'SLED11-SP2-Updates' [done]
Adding repository 'SLED11-SP1-Pool' [done]
Adding repository 'SLED11-SP1-Updates' [done]
Retrieving repository 'SLED11-SP3-Pool' metadata [done]
Building repository 'SLED11-SP3-Pool' cache [done]
Retrieving repository 'SLED11-SP3-Updates' metadata [done]
Building repository 'SLED11-SP3-Updates' cache [done]
Loading repository data...
Reading installed packages...
No updates found.


My SLED11SP3 running on a HP EliteBook 8460p. Should be the hardware the problem?

mikewillis
22-Oct-2014, 10:24
That all looks very odd. In the output of 'zypper verify' a bunch of SLES repos have been added but not enabled. I've no idea why. The output of 'zypper lr' shows a single SLED repo, which points at the DVD drive. So before you ran 'zypper verify' you had no SLED repos other than one pointing at the DVD drive yet I know you have installed updates because your first post says you're running kernel 3.0.101-0.35 which is the latest version for SLED 11 SP3. Given that there's no SLED Updates repo I wonder where did the updates come from?

Then when you've run 'zypper lu' all the SLES repos have been removed and SLED repos added. Again, I've no idea why.

Given your repos now appear to have completely changed, what does the output of these commands look like now look like now?


$ zypper verify
$ zypper lr -u
$ zypper lu

mauriB
22-Oct-2014, 12:20
here is the output...


A54CC749:~ # zypper verify
Refreshing service 'nu_novell_com'.
Loading repository data...
Reading installed packages...

Dependencies of all installed packages are satisfied.


A54CC749:~ # zypper lr -u
# | Alias | Name | Enabled | Refresh | URI
---+--------------------------------------------------+--------------------------------------------------+---------+---------+---------------------------------------------------------------------------------------------------
1 | ATI-Driver-SLE11-SP3 | ATI-Driver-SLE11-SP3 | Yes | Yes | http://www2.ati.com/suse/sle11sp3
2 | SUSE-Linux-Enterprise-Desktop-11-SP3 11.3.3-1.95 | SUSE-Linux-Enterprise-Desktop-11-SP3 11.3.3-1.95 | Yes | No | cd:///?devices=/dev/sr0
3 | nVidia-Driver-SLE11-SP3 | nVidia-Driver-SLE11-SP3 | Yes | Yes | http://download.nvidia.com/novell/sle11sp3
4 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP1-Debuginfo-Pool/sle-11-i586?credentials=NCCcredentials
5 | nu_novell_com:SLE11-SP1-Debuginfo-Updates | SLE11-SP1-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP1-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
6 | nu_novell_com:SLE11-SP2-Debuginfo-Core | SLE11-SP2-Debuginfo-Core | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Core/sle-11-i586?credentials=NCCcredentials
7 | nu_novell_com:SLE11-SP2-Debuginfo-Updates | SLE11-SP2-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
8 | nu_novell_com:SLE11-SP3-Debuginfo-Pool | SLE11-SP3-Debuginfo-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP3-Debuginfo-Pool/sle-11-i586?credentials=NCCcredentials
9 | nu_novell_com:SLE11-SP3-Debuginfo-Updates | SLE11-SP3-Debuginfo-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-SP3-Debuginfo-Updates/sle-11-i586?credentials=NCCcredentials
10 | nu_novell_com:SLE11-Security-Module | SLE11-Security-Module | No | Yes | https://nu.novell.com/repo/$RCE/SLE11-Security-Module/sle-11-i586?credentials=NCCcredentials
11 | nu_novell_com:SLED11-Extras | SLED11-Extras | No | Yes | https://nu.novell.com/repo/$RCE/SLED11-Extras/sle-11-i586?credentials=NCCcredentials
12 | nu_novell_com:SLED11-SP1-Pool | SLED11-SP1-Pool | No | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP1-Pool/sle-11-i586?credentials=NCCcredentials
13 | nu_novell_com:SLED11-SP1-Updates | SLED11-SP1-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP1-Updates/sle-11-i586?credentials=NCCcredentials
14 | nu_novell_com:SLED11-SP2-Core | SLED11-SP2-Core | No | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP2-Core/sle-11-i586?credentials=NCCcredentials
15 | nu_novell_com:SLED11-SP2-Updates | SLED11-SP2-Updates | No | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP2-Updates/sle-11-i586?credentials=NCCcredentials
16 | nu_novell_com:SLED11-SP3-Pool | SLED11-SP3-Pool | Yes | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP3-Pool/sle-11-i586?credentials=NCCcredentials
17 | nu_novell_com:SLED11-SP3-Updates | SLED11-SP3-Updates | Yes | Yes | https://nu.novell.com/repo/$RCE/SLED11-SP3-Updates/sle-11-i586?credentials=NCCcredentials
A54CC749:~ #

A54CC749:~ # zypper lu
Refreshing service 'nu_novell_com'.
Loading repository data...
Reading installed packages...
No updates found
A54CC749:~ #

mikewillis
22-Oct-2014, 20:46
Well that looks a lot saner than before at least. Still stumped on why neither VMware Player nor VirtualBox work for you though. :/

Did you ever try manually running one of the commands that the vmware installer log indicted was failing for no specified reason?

mauriB
23-Oct-2014, 08:42
Good morning Mike,

I didn't try the manually configuration yet,but this morning I removed and installed again the VMware 6 and I seen this message:


sh VMware-Player-6.0.3-1895310.i386.bundle
Extracting VMware Installer...done.
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory


In any case the install procedure go ahead without other errors and finish successfully. Futhermore I have installed the kernel update so my SLED now running with the 3.0.101-0.40-pae version but still the modules aren't loaded.

How can I try to install all the modules via commad-line instead the GUI?

mikewillis
23-Oct-2014, 10:31
I didn't try the manually configuration yet,but this morning I removed and installed again the VMware 6 and I seen this message:


sh VMware-Player-6.0.3-1895310.i386.bundle
Extracting VMware Installer...done.
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory


I get those errors too, they're non fatal. I've seen them before with other things, I worked out why they happened once but I forget the answer now ;)

In any case the install procedure go ahead without other errors and finish successfully. Futhermore I have installed the kernel update so my SLED now running with the 3.0.101-0.40-pae version but still the modules aren't loaded.



How can I try to install all the modules via commad-line instead the GUI?



$ vmware-modconfig --console --install-all

mauriB
23-Oct-2014, 12:35
Hi Mike,

I have tried to run your command "vmware-modconfig --console --install-all" and here is the output:


Stopping VMware services:
VMware Authentication Daemon done
VM communication interface socket family done
Virtual machine communication interface done
Virtual machine monitor done
Blocking file system done
Using 2.6.x kernel build system.
make: Entering directory `/tmp/modconfig-cAAJUE/vmmon-only'
/usr/bin/make -C /lib/modules/3.0.101-0.40-pae/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
/usr/bin/make -C ../../../linux-3.0.101-0.40 O=/usr/src/linux-3.0.101-0.40-obj/i386/pae/. modules
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 25: gcc: command not found
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 26: gcc: command not found
make[3]: gcc: Command not found
make[4]: gcc: Command not found
CC [M] /tmp/modconfig-cAAJUE/vmmon-only/linux/driver.o
/bin/sh: gcc: command not found
make[4]: CC [M] /tmp/modconfig-cAAJUE/vmmon-only/linux/driverLog.o
*** [/tmp/modconfig-cAAJUE/vmmon-only/linux/driver.o] Error 127
make[4]: *** Waiting for unfinished jobs....
/bin/sh: gcc: command not found
make[4]: *** [/tmp/modconfig-cAAJUE/vmmon-only/linux/driverLog.o] Error 127
make[3]: *** [_module_/tmp/modconfig-cAAJUE/vmmon-only] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/modconfig-cAAJUE/vmmon-only'
Using 2.6.x kernel build system.
make: Entering directory `/tmp/modconfig-cAAJUE/vmnet-only'
/usr/bin/make -C /lib/modules/3.0.101-0.40-pae/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
/usr/bin/make -C ../../../linux-3.0.101-0.40 O=/usr/src/linux-3.0.101-0.40-obj/i386/pae/. modules
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 25: gcc: command not found
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 26: gcc: command not found
make[3]: gcc: Command not found
make[4]: gcc: Command not found
CC [M] /tmp/modconfig-cAAJUE/vmnet-only/driver.o
/bin/sh: gcc: command not found
CC [M] /tmp/modconfig-cAAJUE/vmnet-only/hub.o
/bin/sh: gcc: command not found
make[4]: *** [/tmp/modconfig-cAAJUE/vmnet-only/driver.o] Error 127
make[4]: *** Waiting for unfinished jobs....
make[4]: *** [/tmp/modconfig-cAAJUE/vmnet-only/hub.o] Error 127
CC [M] /tmp/modconfig-cAAJUE/vmnet-only/userif.o
/bin/sh: gcc: command not found
make[4]: *** [/tmp/modconfig-cAAJUE/vmnet-only/userif.o] Error 127
make[3]: *** [_module_/tmp/modconfig-cAAJUE/vmnet-only] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
make: *** [vmnet.ko] Error 2
make: Leaving directory `/tmp/modconfig-cAAJUE/vmnet-only'
Using 2.6.x kernel build system.
make: Entering directory `/tmp/modconfig-cAAJUE/vmci-only'
/usr/bin/make -C /lib/modules/3.0.101-0.40-pae/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
MODULEBUILDDIR= modules
make[1]: Entering directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
/usr/bin/make -C ../../../linux-3.0.101-0.40 O=/usr/src/linux-3.0.101-0.40-obj/i386/pae/. modules
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 25: gcc: command not found
/usr/src/linux-3.0.101-0.40/scripts/gcc-version.sh: line 26: gcc: command not found
make[3]: gcc: Command not found
make[4]: gcc: Command not found
CC [M] /tmp/modconfig-cAAJUE/vmci-only/linux/driver.o
/bin/sh: gcc: command not found
CC [M] /tmp/modconfig-cAAJUE/vmci-only/linux/vmciKernelIf.o
/bin/sh: gcc: command not found
make[4]: *** [/tmp/modconfig-cAAJUE/vmci-only/linux/driver.o] Error 127
make[4]: *** Waiting for unfinished jobs....
make[4]: *** [/tmp/modconfig-cAAJUE/vmci-only/linux/vmciKernelIf.o] Error 127
CC [M] /tmp/modconfig-cAAJUE/vmci-only/common/vmciContext.o
/bin/sh: gcc: command not found
make[4]: *** [/tmp/modconfig-cAAJUE/vmci-only/common/vmciContext.o] Error 127
make[3]: *** [_module_/tmp/modconfig-cAAJUE/vmci-only] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-3.0.101-0.40-obj/i386/pae'
make: *** [vmci.ko] Error 2
make: Leaving directory `/tmp/modconfig-cAAJUE/vmci-only'
Unable to install all modules. See log for details.


In the early lines I have seen this error:

"make[3]: gcc: Command not found"

Actually I didn't have the gcc compiler , I had only the gcc43 compiler! So i installed the gcc, gcc-c++ packages and the installation finally work!!! : )

mikewillis
23-Oct-2014, 13:16
Actually I didn't have the gcc compiler , I had only the gcc43 compiler! So i installed the gcc, gcc-c++ packages and the installation finally work!!! : )

Curious. Earlier output you posted indicated that /usr/bin/gcc-4.3 had been found so I'd assumed that was being used. /usr/bin/gcc is in the gcc package. Also curious given that on a fresh install of SLED 11 SP3 I didn't have to install the gcc package specifically, which indicates it should either be installed as a dependency of one of the three packages I did have to install I mentioned in earlier post, or by default. Oh well, glad you got it sorted.

mauriB
23-Oct-2014, 14:53
I have installed a VM and it works too : ) thank you a lot for your support!!!. I have to say that without your help I would not have been able to solve the issue. :)